Customer Management
Delete Customer
DELETE/customers/{customer_id}

Deletes the customer. Not allowed for merchant-billing customers or while one of the customer's invoices has an active payment link.

Path Parameters

customer_id*
string

Header Parameters

token*
string
DELETE/customers/{customer_id}
1curl --location --request DELETE 'https://api.ipospays.tech/invoice-service/v1/customers/14EMLX12D0QQY2J' \
2--header 'token: '
Response

// Awaiting response…

Sample response
{
  "data": {
    "customer_id": "14EMLX12D0QQY2J"
  },
  "message": "Customer deleted successfully",
  "response_code": "SUCCESS",
  "status_code": 200,
  "request_id": "TEST-20261008183440-ZD8VT6",
  "timestamp": "2026-10-08T13:04:40.549Z"
}